Fix new function

This commit is contained in:
Augusto Gunsch 2021-08-12 22:09:42 -03:00
parent c1ae4f21f8
commit 3738f13cf0
No known key found for this signature in database
GPG Key ID: F7EEFE29825C72DC
2 changed files with 9 additions and 2 deletions

View File

@ -353,6 +353,7 @@ post_install() {
mv post-install.sh /mnt/root
chmod +x /mnt/root/post-install.sh
print_phase "Post installation"
echo "From now on, other script will be run"
right_chroot /mnt /root/post-install.sh -nu "$PERSONAL_USER"
}

View File

@ -21,6 +21,12 @@ quiet() {
set -e
}
ultra_quiet() {
local DUMMY
DUMMY=$($@ 2>&1 > /dev/null)
}
### CD TO MY DIR ###
cd "$(dirname "$0")"
@ -231,8 +237,8 @@ install_skip_missing() {
echo -ne "Installing ${LGREEN}$1${NC} ($2)..."
fi
set +e
quiet pacman -Sq --needed --noconfirm $1
[ $? -ne 0 ] && echo "Not found: skipping." || echo "done"
ultra_quiet pacman -Sq --needed --noconfirm $1
[ $? -ne 0 ] && echo "Not found: skipping" || echo "done"
set -e
}